# update rarian database
if [ -x usr/bin/rarian-sk-update ]; then
  usr/bin/rarian-sk-update 1> /dev/null 2> /dev/null
fi

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

if [ -e usr/share/glib-2.0/schemas ]; then
  if [ -x /usr/bin/glib-compile-schemas ]; then
    /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
  fi
fi

# If needed -- be sure to sed @LIBDIR@ inside the build script
chroot . /usr/bin/gio-querymodules @LIBDIR@/gio/modules/ 1> /dev/null 2> /dev/null

if [ -x /usr/bin/install-info ]; then
  chroot . /usr/bin/install-info --info-dir=/usr/info /usr/info/blah.gz 2> /dev/null
fi

( cd usr/lib ; rm -rf libQtGStreamerUi-0.10.so.0 )
( cd usr/lib ; ln -sf libQtGStreamerUi-0.10.so.0.10.3 libQtGStreamerUi-0.10.so.0 )
( cd usr/lib ; rm -rf libQtGStreamerUtils-0.10.so.0 )
( cd usr/lib ; ln -sf libQtGStreamerUtils-0.10.so.0.10.3 libQtGStreamerUtils-0.10.so.0 )
( cd usr/lib ; rm -rf libQtGStreamerUtils-0.10.so )
( cd usr/lib ; ln -sf libQtGStreamerUtils-0.10.so.0 libQtGStreamerUtils-0.10.so )
( cd usr/lib ; rm -rf libQtGStreamer-0.10.so.0 )
( cd usr/lib ; ln -sf libQtGStreamer-0.10.so.0.10.3 libQtGStreamer-0.10.so.0 )
( cd usr/lib ; rm -rf libQtGLib-2.0.so.0 )
( cd usr/lib ; ln -sf libQtGLib-2.0.so.0.10.3 libQtGLib-2.0.so.0 )
( cd usr/lib ; rm -rf libQtGStreamerUi-0.10.so )
( cd usr/lib ; ln -sf libQtGStreamerUi-0.10.so.0 libQtGStreamerUi-0.10.so )
( cd usr/lib ; rm -rf libQtGLib-2.0.so )
( cd usr/lib ; ln -sf libQtGLib-2.0.so.0 libQtGLib-2.0.so )
( cd usr/lib ; rm -rf libQtGStreamer-0.10.so )
( cd usr/lib ; ln -sf libQtGStreamer-0.10.so.0 libQtGStreamer-0.10.so )
